summaryrefslogtreecommitdiffstats
path: root/libraries/gsl
diff options
context:
space:
mode:
author Aleksandar Samardzic2010-05-11 22:54:00 +0200
committer David Somero2010-05-11 22:54:00 +0200
commitb181d0a60ca01968d2bf389ba71b2e9d80ab7497 (patch)
treef0d37a8fa3b36f9068948451727bf860e1c46110 /libraries/gsl
parent1619050da05ce00c60b083607d432df20e674777 (diff)
downloadslackbuilds-b181d0a60ca01968d2bf389ba71b2e9d80ab7497.tar.gz
libraries/gsl: Added to 12.1 repository
Diffstat (limited to 'libraries/gsl')
-rw-r--r--libraries/gsl/README7
-rw-r--r--libraries/gsl/gsl.SlackBuild75
-rw-r--r--libraries/gsl/gsl.info8
-rw-r--r--libraries/gsl/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/libraries/gsl/README b/libraries/gsl/README
new file mode 100644
index 0000000000..cfb86e0156
--- /dev/null
+++ b/libraries/gsl/README
@@ -0,0 +1,7 @@
+The GNU Scientific Library (GSL) is a numerical library for C and C++
+programmers. It is free software under the GNU General Public License.
+
+The library provides a wide range of mathematical routines such as
+random number generators, special functions and least-squares
+fitting. There are over 1000 functions in total with an extensive test
+suite. \ No newline at end of file
diff --git a/libraries/gsl/gsl.SlackBuild b/libraries/gsl/gsl.SlackBuild
new file mode 100644
index 0000000000..f8da924190
--- /dev/null
+++ b/libraries/gsl/gsl.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for GSL
+
+# Written by Aleksandar Samardzic <asamardzic@gmail.com>
+
+PRGNAM=gsl
+VERSION=${VERSION:-1.11}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+mv $PKG/usr/share/info $PKG/usr
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README SUPPORT THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/gsl/gsl.info b/libraries/gsl/gsl.info
new file mode 100644
index 0000000000..d1c34f1dd3
--- /dev/null
+++ b/libraries/gsl/gsl.info
@@ -0,0 +1,8 @@
+PRGNAM="gsl"
+VERSION="1.11"
+HOMEPAGE="http://www.gnu.org/software/gsl"
+DOWNLOAD="ftp://ftp.gnu.org/gnu/gsl/gsl-1.11.tar.gz"
+MD5SUM="f28f9de8bec867f3f4f436d3ed80680a"
+MAINTAINER="Aleksandar Samardzic"
+EMAIL="asamardzic@gmail.com"
+APPROVED="David Somero"
diff --git a/libraries/gsl/slack-desc b/libraries/gsl/slack-desc
new file mode 100644
index 0000000000..27caccc76b
--- /dev/null
+++ b/libraries/gsl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gsl: GSL (a numerical library for C and C++ programmers)
+gsl:
+gsl: The GNU Scientific Library (GSL) is a collection of routines for
+gsl: numerical computing. The routines are written from scratch by the
+gsl: GSL team in ANSI C, and present a modern API for C programmers,
+gsl: while allowing wrappers to be written for very high-level
+gsl: languages.
+gsl:
+gsl: Homepage: http://www.gnu.org/software/gsl/
+gsl:
+gsl: